summaryrefslogtreecommitdiffstats
path: root/source/ap/xfsdump
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/xfsdump')
-rw-r--r--source/ap/xfsdump/slack-desc10
-rw-r--r--source/ap/xfsdump/xfsdump-3.1.8.tar.sign17
-rwxr-xr-xsource/ap/xfsdump/xfsdump.SlackBuild21
3 files changed, 37 insertions, 11 deletions
diff --git a/source/ap/xfsdump/slack-desc b/source/ap/xfsdump/slack-desc
index 040b64cd8..d0c72d0fb 100644
--- a/source/ap/xfsdump/slack-desc
+++ b/source/ap/xfsdump/slack-desc
@@ -1,17 +1,17 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
xfsdump: xfsdump (backup tools for the XFS filesystem)
xfsdump:
xfsdump: The xfsdump package contains the xfsdump and xfsrestore utilities for
-xfsdump: backing up and restoring XFS partitions. xfsdump examines files in a
+xfsdump: backing up and restoring XFS partitions. xfsdump examines files in a
xfsdump: filesystem, determines which need to be backed up, and copies those
-xfsdump: files to a specified disk, tape or other storage medium. xfsrestore
+xfsdump: files to a specified disk, tape or other storage medium. xfsrestore
xfsdump: performs the inverse function of xfsdump; it can restore a full
xfsdump: or incremental backup of a filesystem.
xfsdump:
diff --git a/source/ap/xfsdump/xfsdump-3.1.8.tar.sign b/source/ap/xfsdump/xfsdump-3.1.8.tar.sign
new file mode 100644
index 000000000..4509fb5a8
--- /dev/null
+++ b/source/ap/xfsdump/xfsdump-3.1.8.tar.sign
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.14 (GNU/Linux)
+
+iQIcBAABAgAGBQJZxC5dAAoJECCuFpLhPd7gf+IP/3UhY3o7xLOozky62FdTzNT6
+APBKPKR5s4KxsRWHlBV6bYu56ECKGmNL/DWIQwvs0v7qiOWYogdfB3t93ilwWvUW
+za+45xLMJxphBVHwSz/ZkupvslBZLc3+fT6zTjGAAhhD2U6fkCpAjd6m+fIkNneu
+FKk+xI+k2w/sHtoormY55Qye3vjigDrXXXRbndVPLurKaPZtf460aoGzMVHAysFI
+dw95kjdzb/0+hbxrzUEw2jcOEewUK9sRRSXjihXOQyrJ8I82bd9uFgzB6XQTQ5j3
+asjyVeiwIGPv/mUZG12MWW12BgqbqIzdcq/imXbKf+FYdD1HZ85FwBNDHRyiEGUv
+RbrUTWFZlMqQutTjZVDX6bLvbfsXbAjk5ar/LVhod4/jFYbac40ZY2NNBspL9yBF
+ITosyBsIcjIH3K1vs0hFoPZJtGkOoboJpMASK7KOAzoiIBr10ul6fmv3W1H7Iaxr
+jupLxkLoWamZxa71Zi6/jOL1X3FzDFlgo1g329y8Pg4soZlt+x0oswQuOIsH0SyX
+sS/cN4UPw1Uo8bPRCEu/61Xvok8TeqixOa0EZGRdrGHK18dtCa17PwKCoYQWLEze
+3E/y5R46ZyvuX9I8Qq/xyTVjXJUA1oP1ZKa0R+r9EfjzBaqGeG2e0PJd1Mo1m6sX
+dzrgjY+q9T0QJTxWu7BM
+=PKGC
+-----END PGP SIGNATURE-----
diff --git a/source/ap/xfsdump/xfsdump.SlackBuild b/source/ap/xfsdump/xfsdump.SlackBuild
index 242221aba..b222639d0 100755
--- a/source/ap/xfsdump/xfsdump.SlackBuild
+++ b/source/ap/xfsdump/xfsdump.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-$(echo xfsdump-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+PKGNAM=xfsdump
+VERSION=${VERSION:-$(echo xfsdump-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _ )-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-xfsdump
@@ -45,7 +54,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf xfsdump-$(echo $VERSION | cut -f 1 -d '-')
-tar xvf $CWD/xfsdump-$VERSION.tar.gz || exit 1
+tar xvf $CWD/xfsdump-$VERSION.tar.?z || exit 1
cd xfsdump-$(echo $VERSION | cut -f 1 -d '-') || exit 1
chown -R root:root .